Subject: bug#25808: Updating alot (and other collateral updates)

From: Marius Bakke <[email-masked]>
Date: Thu, 23 Feb 2017 14:39:18 +0100

Troy Sankey <[email-masked]> writes:

> My ultimate goal with this patch set was to update alot and all of its
> (python) dependency closure.
>
> [PATCH 1/8] gnu: Add python-attrs.
> [PATCH 2/8] gnu: Add python-constantly.
> [PATCH 3/8] gnu: Add python-m2r.
> [PATCH 4/8] gnu: python-setuptools-scm: Update to 1.15.0.
> [PATCH 5/8] gnu: Add python-automat.
> [PATCH 6/8] gnu: Add python-incremental.
> [PATCH 7/8] gnu: python-twisted: Update to 17.1.0.
> [PATCH 8/8] gnu: alot: Update to 0.5.1.

Hi Troy,

Thanks a lot for these! The series looks good, but since setuptools-scm
causes a rebuild of 89 packages, I would like to delay this until bug
#25177 is solved (so that we actually notice any build failures).

I'll go through these more thoroughly next week, I hope to get the
'python-tests' branch merged this weekend or so.

Thanks!